package com.zhilin.patrol.bean;

import java.io.Serializable;
import java.util.List;

/**
 * 我的任务实体
 */
public class MyTaskEntity extends BaseEntity<List<MyTaskEntity.InfoListBean>> {

    public static class InfoListBean implements Serializable {
        /** 显示名 */
       private String  disName;

       private List<Bean> sonArr;

        public String getDisName() {
            return disName;
        }

        public void setDisName(String disName) {
            this.disName = disName;
        }

        public List<Bean> getSonArr() {
            return sonArr;
        }

        public void setSonArr(List<Bean> sonArr) {
            this.sonArr = sonArr;
        }
    }

    public static class Bean implements Serializable {

        /**
         * address : 武汉常青花园花园5区
         * taskNum : 3
         * finishNum : 3
         * isFinish : 1
         * longitude : 114.239659
         * latitude : 30.641005
         */
        /** 地址 */
        private String address;
        /** 任务数 */
        private int taskNum;
        /** 完成数 */
        private int finishNum;
        /*已巡数*/
        private int postNum;
        /** 是否完成  0-未完成 1-已完成*/
        private int isFinish;
        /** 经度 */
        private String longitude;
        /** 纬度 */
        private String latitude;
        private String pCode;
        private String addrId;
        public String getAddrId(){
            return addrId;
        }
        public void setAddrId(String addrId){this.addrId=addrId;}
        public int getPostNum(){return postNum;}
        public void setPostNum(int patrolNum){this.postNum=patrolNum;}
        public String getPCode(){
            return pCode;
        }
        public void setPCode(String pCode){
            this.pCode=pCode;
        }
        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public int getTaskNum() {
            return taskNum;
        }

        public void setTaskNum(int taskNum) {
            this.taskNum = taskNum;
        }

        public int getFinishNum() {
            return finishNum;
        }

        public void setFinishNum(int finishNum) {
            this.finishNum = finishNum;
        }

        public int getIsFinish() {
            return isFinish;
        }

        public void setIsFinish(int isFinish) {
            this.isFinish = isFinish;
        }

        public String getLongitude() {
            return longitude;
        }

        public void setLongitude(String longitude) {
            this.longitude = longitude;
        }

        public String getLatitude() {
            return latitude;
        }

        public void setLatitude(String latitude) {
            this.latitude = latitude;
        }
    }
}
